## Apache Zeta Components Manual :: Docs For Class ezcGraphOdometerRenderer

### Graph::ezcGraphOdometerRenderer

### Interface ezcGraphOdometerRenderer

Interface which adds the methods required for rendering radar charts to a renderer

Source for this file: /Graph/src/interfaces/odometer_renderer.php

Version: | //autogentag//

### Method Summary

public ezcGraphBoundings | `drawOdometer( $boundings , $axis , $options )` Render odometer chart
public void | `drawOdometerMarker( $boundings , $position , $symbol , $color , $width )` Draw a single odometer marker.

### Methods

#### drawOdometer

ezcGraphBoundings drawOdometer( $boundings , ezcGraphChartElementAxis $axis , ezcGraphOdometerChartOptions $options )

Render odometer chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings |
`$axis` | ezcGraphChartElementAxis |
`$options` | ezcGraphOdometerChartOptions |

#### drawOdometerMarker

void drawOdometerMarker( $boundings , ezcGraphCoordinate $position , int $symbol , ezcGraphColor $color , int $width )

Draw a single odometer marker.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings |
`$position` | ezcGraphCoordinate |
`$symbol` | int |
`$color` | ezcGraphColor |
`$width` | int |

Documentation generated by phpDocumentor 1.4.3